#!/bin/sh
#
# Script to copy the proper index files for different unit configurations.

# Check that we were supplied with one parameter.
#
if [ $# -eq 0 ]
then
	echo -n 'Expansion units (0..3)= '
	read unit_qty
else
	unit_qty=$1
fi

# echo "unit_qty=$unit_qty"

# Range check the parameter.
if [ $unit_qty -lt 0 ] || [ $unit_qty -gt 3 ]
then
	echo "Error: Unit quantity out of range"
	exit 1
fi

# Remove existing index files if they exist.
if [ -e /tmp/index.html ]
then
	# echo "rm index"
	rm /tmp/index.html
fi
if [ -e /tmp/index2.html ]
then
	# echo "rm index2"
	rm /tmp/index2.html
fi
if [ -e /tmp/index3.html ]
then
	# echo "rm index3"
	rm /tmp/index3.html
fi

# How many expansion unts?
case $unit_qty in
0)
	# echo "cp index"
	cp -a index1_1.html /tmp/index.html
	touch /tmp/index.html;;

1)	# echo "cp index2"
	cp -a index1_2.html /tmp/index.html
	cp -a index2_2.html /tmp/index2.html
	touch /tmp/index.html
	touch /tmp/index2.html;;
	
2)	# echo "cp index3"
	cp -a index1_3.html /tmp/index.html
	cp -a index2_3.html /tmp/index2.html
	cp -a index3_3.html /tmp/index3.html
	touch /tmp/index.html
	touch /tmp/index2.html
	touch /tmp/index3.html;;
	
3)	# echo "cp index4"
	cp -a index1_4.html /tmp/index.html
	cp -a index2_4.html /tmp/index2.html
	cp -a index3_4.html /tmp/index3.html
	touch /tmp/index.html
	touch /tmp/index2.html
	touch /tmp/index3.html;;
	
*)	echo "Case Error: Unit quantity out of range" ;;
esac

# And we're done.
exit 0

